export default class UserParty {
	public Id:number;
	public UserId:number;
	public PartyId:number;
	public IsActive:boolean;
	public CreatedByUserId:number;
	public CreatedDatetime:Date;
	public LastModifiedByUserId?:number;
	public LastModifiedDatetime?:Date;
	public DeletedByUserId?:number;
	public DeletedDatetime?:Date;
	public IsDeleted:boolean;

	public constructor() {
		this.Id = Number.MIN_VALUE;
		this.UserId = Number.MIN_VALUE;
		this.PartyId = Number.MIN_VALUE;
		this.IsActive = false;
		this.CreatedByUserId = Number.MIN_VALUE;
		this.CreatedDatetime = new Date(0);
		this.IsDeleted = false;
	}
}